Bug 2219310 (CVE-2023-26136) - CVE-2023-26136 tough-cookie: prototype pollution in cookie memstore
Summary: CVE-2023-26136 tough-cookie: prototype pollution in cookie memstore
Keywords:
Status: NEW
Alias: CVE-2023-26136
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody
QA Contact:
URL:
Whiteboard:
Depends On: 2219314 2219336 2219337 2219339 2220673 2220674 2220675 2220677 2219315 2219316 2219318 2219319 2219320 2219321 2219322 2219325 2219338 2219346 2219347 2220676 2220678 2220679 2220680 2220681 2220682 2223508
Blocks: 2219348
TreeView+ depends on / blocked
 
Reported: 2023-07-03 08:18 UTC by TEJ RATHI
Modified: 2024-04-03 03:39 UTC (History)
145 users (show)

Fixed In Version: tough-cookie 4.1.3
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the tough-cookie package which allows Prototype Pollution due to improper handling of Cookies when using CookieJar in rejectPublicSuffixes=false mode. This issue arises from the manner in which the objects are initialized.
Clone Of:
Environment:
Last Closed: 2023-07-12 22:50:46 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2023:3998 0 None None None 2023-07-12 17:58:15 UTC
Red Hat Product Errata RHSA-2023:5006 0 None None None 2023-10-31 12:54:58 UTC
Red Hat Product Errata RHSA-2023:5421 0 None None None 2023-10-03 18:50:24 UTC
Red Hat Product Errata RHSA-2023:5442 0 None None None 2023-10-04 13:07:57 UTC
Red Hat Product Errata RHSA-2023:5484 0 None None None 2023-10-05 20:21:53 UTC
Red Hat Product Errata RHSA-2023:5485 0 None None None 2023-10-05 20:22:25 UTC
Red Hat Product Errata RHSA-2023:5486 0 None None None 2023-10-05 20:23:35 UTC
Red Hat Product Errata RHSA-2023:5488 0 None None None 2023-10-05 20:18:40 UTC
Red Hat Product Errata RHSA-2023:5541 0 None None None 2023-10-20 04:12:00 UTC
Red Hat Product Errata RHSA-2023:5542 0 None None None 2023-10-24 12:02:23 UTC
Red Hat Product Errata RHSA-2023:7222 0 None None None 2023-11-15 01:25:58 UTC

Description TEJ RATHI 2023-07-03 08:18:43 UTC
Versions of the package tough-cookie before 4.1.3 are vulnerable to Prototype Pollution due to improper handling of Cookies when using CookieJar in rejectPublicSuffixes=false mode. This issue arises from the manner in which the objects are initialized.

https://security.snyk.io/vuln/SNYK-JS-TOUGHCOOKIE-5672873
https://github.com/salesforce/tough-cookie/issues/282
https://github.com/salesforce/tough-cookie/commit/12d474791bb856004e858fdb1c47b7608d09cf6e
https://github.com/salesforce/tough-cookie/releases/tag/v4.1.3

Comment 8 Avinash Hanwate 2023-07-06 03:43:53 UTC
Created breeze-icon-theme tracking bugs for this issue:

Affects: epel-all [bug 2220673]
Affects: fedora-all [bug 2220678]


Created dotnet6.0 tracking bugs for this issue:

Affects: fedora-all [bug 2220679]


Created dotnet7.0 tracking bugs for this issue:

Affects: fedora-all [bug 2220680]


Created golang-github-prometheus tracking bugs for this issue:

Affects: epel-all [bug 2220674]


Created nodejs:13/nodejs tracking bugs for this issue:

Affects: epel-all [bug 2220675]


Created seamonkey tracking bugs for this issue:

Affects: epel-all [bug 2220676]
Affects: fedora-all [bug 2220681]


Created yarnpkg tracking bugs for this issue:

Affects: epel-all [bug 2220677]
Affects: fedora-all [bug 2220682]

Comment 12 errata-xmlrpc 2023-07-12 17:58:07 UTC
This issue has been addressed in the following products:

  RHOL-5.7-RHEL-8

Via RHSA-2023:3998 https://access.redhat.com/errata/RHSA-2023:3998

Comment 13 Product Security DevOps Team 2023-07-12 22:50:37 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2023-26136

Comment 14 Avinash Hanwate 2023-07-18 05:27:39 UTC
Created golang-github-prometheus tracking bugs for this issue:

Affects: fedora-all [bug 2223508]

Comment 18 errata-xmlrpc 2023-10-03 18:50:16 UTC
This issue has been addressed in the following products:

  multicluster engine for Kubernetes 2.3 for RHEL 8

Via RHSA-2023:5421 https://access.redhat.com/errata/RHSA-2023:5421

Comment 19 errata-xmlrpc 2023-10-04 13:07:49 UTC
This issue has been addressed in the following products:

  Red Hat Advanced Cluster Management for Kubernetes 2.8 for RHEL 8

Via RHSA-2023:5442 https://access.redhat.com/errata/RHSA-2023:5442

Comment 20 errata-xmlrpc 2023-10-05 20:18:33 UTC
This issue has been addressed in the following products:

  EAP 7.4.13

Via RHSA-2023:5488 https://access.redhat.com/errata/RHSA-2023:5488

Comment 21 errata-xmlrpc 2023-10-05 20:21:47 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.4 on RHEL 7

Via RHSA-2023:5484 https://access.redhat.com/errata/RHSA-2023:5484

Comment 22 errata-xmlrpc 2023-10-05 20:22:17 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.4 for RHEL 8

Via RHSA-2023:5485 https://access.redhat.com/errata/RHSA-2023:5485

Comment 23 errata-xmlrpc 2023-10-05 20:23:29 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.4 for RHEL 9

Via RHSA-2023:5486 https://access.redhat.com/errata/RHSA-2023:5486

Comment 25 errata-xmlrpc 2023-10-20 04:11:53 UTC
This issue has been addressed in the following products:

  RHOL-5.6-RHEL-8

Via RHSA-2023:5541 https://access.redhat.com/errata/RHSA-2023:5541

Comment 27 errata-xmlrpc 2023-10-24 12:02:17 UTC
This issue has been addressed in the following products:

  RHOL-5.5-RHEL-8

Via RHSA-2023:5542 https://access.redhat.com/errata/RHSA-2023:5542

Comment 28 errata-xmlrpc 2023-10-31 12:54:51 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 4.14

Via RHSA-2023:5006 https://access.redhat.com/errata/RHSA-2023:5006

Comment 29 errata-xmlrpc 2023-11-15 01:25:50 UTC
This issue has been addressed in the following products:

  Red Hat Migration Toolkit for Containers 1.8

Via RHSA-2023:7222 https://access.redhat.com/errata/RHSA-2023:7222

Comment 40 Paramvir jindal 2024-04-03 03:39:52 UTC
Marking EAP-8 as not affected because EAP 8 GA was released with the fixed version of netty.


Note You need to log in before you can comment on or make changes to this bug.